package productlogic

import (
	"context"
	"git.chillcy.com/golang/chillcy/project/pc4/pkg/rpc/client/product"
	"log"

	"git.chillcy.com/golang/colorway/internal/rpc/internal/svc"
	"git.chillcy.com/golang/colorway/internal/rpc/pb/colorway"

	"github.com/zeromicro/go-zero/core/logx"
)

type UploadLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewUploadLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UploadLogic {
	return &UploadLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *UploadLogic) Upload(in *colorway.ProductUploadRequest) (*colorway.ProductUploadResponse, error) {
	productList, err := l.svcCtx.Pc4RpcService.Product.GetListByDesignerIds(l.ctx, &product.ProductGetListByDesignerIdsRequest{
		DesignerIds: in.GetStyleNumbers(),
	})
	if err != nil {
		return nil, err
	}

	log.Println(productList)
	return &colorway.ProductUploadResponse{}, nil
}
